## GogSmoothedCurve

GogSmoothedCurve

## Synopsis

                        GogSmoothedCurve;
                        GogSmoothedCurveClass;

## Object Hierarchy

      GObject
       +----GogObject
             +----GogStyledObject
                   +----GogTrendLine
                         +----GogSmoothedCurve

## Implemented Interfaces

GogSmoothedCurve implements GOStyledObject and GogDataset.

## Description

## Details

### GogSmoothedCurve

    typedef struct _GogSmoothedCurve GogSmoothedCurve;

### GogSmoothedCurveClass

    typedef struct {
    	GogTrendLineClass base;
    	int max_dim;
    } GogSmoothedCurveClass;

Base class for smoothed curves.

GogTrendLineClass `base`; | base class.
int `max_dim`; | number of GOData parameters.